



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Docker Kubernetes Volume 本地数据卷</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Docker Kubernetes Volume 本地数据卷</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-28 01:06:19 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>Docker Kubernetes Volume 本地数据卷</strong></p>
<p><strong>emptyDir</strong></p>
<ul><li>当Pod分配到Node时，首先创建一个空卷，并挂载到Pod中的容器。</li>
<li>Pod中的容器可以读取和写入卷中的文件。</li>
<li>当Pod从节点中删除emptyDir时，该数据也会被删除。</li>
<li>注：适用于容器之间的数据共享。</li></ul>
<p><strong>hostPath</strong></p>
<ul><li>一个hostPath卷挂载Node文件系统上的文件或目录到Pod中的容器。</li>
<li>注：指定宿主级的数据目录挂载到容器中。</li></ul>
<hr />
<p><strong>环境：</strong></p>
<ul><li><strong>系统：</strong>Centos 7.4 x64</li>
<li><strong>Docker版本：</strong>18.09.0</li>
<li><strong>Kubernetes版本：</strong>v1.8</li>
<li><strong>管理节点：</strong>192.168.1.79</li>
<li><strong>工作节点：</strong>192.168.1.78</li>
<li><strong>工作节点：</strong>192.168.1.77</li></ul>
<hr />
<p><strong>创建emptydir实例</strong></p>
<p><strong>1、管理节点：创建yaml文件</strong></p>
<p>vim emptydir.yaml</p>
<div>
<pre class="prettyprint linenums">apiVersion: v1<br />
kind: Pod<br />
metadata:<br />
  name: test-pd<br />
spec:<br />
  containers:<br />
  - image: nginx:1.12<br />
    name: test-container<br />
    volumeMounts:<br />
    - mountPath: /cache<br />
      name: cache-volume<br />
  volumes:<br />
  - name: cache-volume<br />
    emptyDir: {}</pre>
</div>
<div>
<div>
<pre class="prettyprint linenums"># api版本<br />
apiVersion: v1<br />
# 指定创建资源对象<br />
kind: Pod<br />
# 源数据、可以写name，命名空间，对象标签<br />
metadata:<br />
# 服务名称<br />
  name: test-pd<br />
# 容器资源信息<br />
spec:<br />
# 容器管理<br />
  containers:<br />
# 镜像名称<br />
  - image: nginx:1.12<br />
# 容器名称<br />
    name: test-container<br />
# 容器数据卷管理<br />
    volumeMounts:<br />
# 容器内挂载目录<br />
    - mountPath: /cache<br />
# 容器挂载数据名称<br />
      name: cache-volume<br />
# 宿主数据卷管理<br />
  volumes:<br />
# 创建数据卷名称<br />
  - name: cache-volume<br />
# emptydir标准语法<br />
    emptyDir: {}</pre>
</div>
<p>文件注解</p></div>
<p><strong>2、管理节点：创建Pod</strong></p>
<div>
<pre class="prettyprint linenums">kubectl create -f emptydir.yaml</pre>
</div>
<p><strong>3、测试</strong></p>
<div>
<div>
<pre class="prettyprint linenums">命令：kubectl exec test-pd -it bash

root@test-pd:/# cd /cache/<br />
root@test-pd:/cache# ls<br />
root@test-pd:/cache# </pre>
</div>
<p>测试挂载路径</p></div>
<div>
<div>
<pre class="prettyprint linenums">命令：kubectl describe pods test-pd

    Mounts:<br />
      /cache from cache-volume (rw)<br />
Conditions:<br />
  Type           Status<br />
  Initialized    True<br />
  Ready          True<br />
  PodScheduled   True<br />
Volumes:<br />
  cache-volume:<br />
    Type:        EmptyDir (a temporary directory that shares a pod's lifetime)<br />
    Medium:<br />
QoS Class:       BestEffort<br />
Node-Selectors:  &lt;none&gt;<br />
Tolerations:     &lt;none&gt;</pre>
</div>
<p>查看容器挂载信息</p></div>
<hr />
<p><strong>创建</strong><strong>hostPath</strong><strong>实例</strong></p>
<p><strong>1、管理节点：创建yaml文件</strong></p>
<div>
<pre class="prettyprint linenums">apiVersion: v1<br />
kind: Pod<br />
metadata:<br />
  name: test-pd2<br />
spec:<br />
  containers:<br />
  - image: nginx:1.12<br />
    name: test-container<br />
    volumeMounts:<br />
    - mountPath: /data<br />
      name: test-volume<br />
  volumes:<br />
  - name: test-volume<br />
    hostPath:<br />
      path: /etc/default<br />
      type: Directory</pre>
</div>
<div>
<div>
<pre class="prettyprint linenums"># api版本<br />
apiVersion: v1<br />
# 指定创建资源对象<br />
kind: Pod<br />
# 源数据、可以写name，命名空间，对象标签<br />
metadata:<br />
# 服务名称<br />
  name: test-pd2<br />
# 容器资源信息<br />
spec:<br />
# 容器管理<br />
  containers:<br />
# 镜像名称<br />
  - image: nginx:1.12<br />
    name: test-container<br />
# 容器数据卷管理<br />
    volumeMounts:<br />
# 容器挂载目录<br />
    - mountPath: /data<br />
# 容器挂载数据名称<br />
      name: test-volume<br />
# 宿主数据卷管理<br />
  volumes:<br />
# 创建数据卷名称<br />
  - name: test-volume<br />
# 数据卷地址<br />
    hostPath:<br />
# 挂载到容器的宿主目录<br />
      path: /etc/default<br />
# 类型为目录文件<br />
      type: Directory</pre>
</div>
<p>文件注解</p></div>
<p><strong>2、管理节点：创建Pod</strong></p>
<div>
<pre class="prettyprint linenums">kubectl create -f hostpath.yaml</pre>
</div>
<p><strong>3、测试</strong></p>
<div>
<pre class="prettyprint linenums">命令：kubectl exec test-pd2 -it bash

root@test-pd2:/# cd /data<br />
root@test-pd2:/data# ls<br />
grub  nss  useradd  yyy</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/xq44lp3q.html">YACC和BISON学习心得</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zr47dq.html">sql之连表查询--效率 通过分析各种连接查询的实现原理来了解</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8eg17k9.html">Android 获取设备信息 异常</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k11x569.html">C&num;基础学习文章导航</a>
		</li>
						<li><a href="https://www.batexi.com/a/96omg3y9.html">Hibernate笔记&mdash;&mdash;第一个简单实例</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1lkwj8.html">Java实战之04JavaWeb-06DBUtils</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rd3vvd8.html">安装PyQt</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mn5nx0q.html">python学习第二课要点记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvxj1oq.html">从头开发MUDLIB</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdp0ky0q.html">iOS多线程中的单例</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ge1nne8.html">perl use base 代替 &commat;ISA</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjz5p38.html">苹果新的编程语言 Swift 语言进阶（一）－－综述</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jomlx8.html">使用mpvue开发小程序教程（五）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5dvwdq.html">廖雪峰Java8JUnit单元测试-2使用JUnit-4超时测试</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2ej2y9.html">MySQL  数据库 简单操作命令 （部分总结）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyrnymq.html">【第一部分】07Leetcode刷题</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m26g6oq.html">audio video 控制播放和停止</a>
		</li>
						<li><a href="https://www.batexi.com/a/qx233r08.html">TypeScript的简单介绍和win环境安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/902o5mnq.html">搜集整理一些Cron表达式例子</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e0ov0eq.html">landa语法</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9r57y1eq.html">vue2&period;0 源码解读&lpar;二&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/960d7zj9.html">php&lpar;数组方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4jdn05q.html">Can&amp;&num;39&semi;t connect to MySQL server &lpar;10060&rpar;  MySQL</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2532doq.html">LCA（Lowest Common Ancesor&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2532v3q.html">C和C指针小记&lpar;十六&rpar;-动态内存分配</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e4wwok9.html">转：arcgis api for js入门开发系列四地图查询</a>
			</li>
						<li><a href="https://www.batexi.com/a/90ry1x39.html">解决Windows下文件在Linux下打开出现乱码的问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwkx2z9.html">Centos配置tomcat服务并且开机自启动</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pwgv0k8.html">Linux下安装Gensim</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7od33j8.html">如何用VSCode手动编译Ace Editor</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
